Bug 465872 - dwfl_module_build_id returns wrong address
dwfl_module_build_id returns wrong address
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: elfutils (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Roland McGrath
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 17:06 EDT by Frank Ch. Eigler
Modified: 2010-04-21 20:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 20:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2008-10-06 17:06:02 EDT
Up to and including elfutils-0.137, dwfl_module_build_id appears to return
the address just past the buildid hash value, not the first byte.

/usr/src/kernels/2.6.25.14-69.fc8-x86_64
[16:52:23] % eu-unstrip -n -K kernel
0xffffffff81000000+0x556aec e9755c9d3e7816ea9d2c8c3fa07fd94a695f0996@0xffffffff81295a64 /usr/lib/debug/lib/mod

whereas 0x...5a50 would have been correct.
Comment 1 Frank Ch. Eigler 2008-10-06 17:55:56 EDT
It would be helpful if the fixed elfutils code provided some autoconfable
entity that identifies the presence of the change.  Old elfutils is found
widely out there, and clients such as systemtap may need to work with them.
Comment 2 Roland McGrath 2009-04-15 06:02:15 EDT
This was resolved upstream in 0.138 (maybe there are some Fedora bz#s for it?).
It can be in the next rebasing RHEL5 update, whenever an elfutils package update is slotted in.
Comment 3 Frank Ch. Eigler 2009-09-23 11:19:12 EDT
Considering that we're building systemtap in bundled-elfutils mode for
rhel5, and that elfutils proper is unlikely to be rebased, we may just
close this as WONTFIX for rhel5.
Comment 4 Roland McGrath 2010-04-21 20:11:22 EDT
Fixed in RHEL6.

Note You need to log in before you can comment on or make changes to this bug.